Opened 11 years ago

Closed 11 years ago

#21135 closed defect (fixed)

gtk1 configure error on SnowLeopard

Reported by: ernest@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.8.0
Keywords: Cc:
Port: gtk1

Description

This is rollback:

MacBook-Pro-Ernest-Bursa:.git ernest$ sudo port install putty
Password:
--->  Computing dependencies for putty
--->  Configuring gtk1
Error: Target org.macports.configure returned: configure failure: shell command " cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_x11_gtk1/work/gtk+-1.2.10" && ./configure --prefix=/opt/local --disable-shm --with-locale --mandir=/opt/local/share/man --infodir=/opt/local/share/info " returned error 1
Command output: checking for putenv... yes
checking for setenv... yes
checking for setlocale... yes
checking for strchr... yes
checking for strcasecmp... yes
checking for strdup... yes
checking for __argz_count... no
checking for __argz_stringify... no
checking for __argz_next... no
checking for stpcpy... yes
checking for LC_MESSAGES... yes
checking whether NLS is requested... yes
checking for libintl.h... yes
checking for dgettext in libc... no
checking for bindtextdomain in -lintl... yes
checking for dgettext in libintl... checking for dgettext in -lintl... yes
yes
checking for msgfmt... /opt/local/bin/msgfmt
checking for dcgettext... yes
checking for gmsgfmt... /opt/local/bin/msgfmt
checking for xgettext... /opt/local/bin/xgettext
checking for catalogs to be installed...  az ca cs da de el es et eu fi fr ga gl hr hu it ja ko lt nl no nn pl pt pt_BR ro ru sk sl sp sr sv tr uk vi wa zh_CN.GB2312 zh_TW.Big5
checking for extra flags to get ANSI library prototypes... none needed
checking for extra flags for POSIX compliance... none needed
checking for glib-config... /opt/local/bin/glib-config
checking for GLIB - version >= 1.2.8... yes
checking for X... no
configure: error: 
*** X libraries or include files not found. Check 'config.log' for 
*** more details.

Error: The following dependencies failed to build: gtk1
Error: Status 1 encountered during processing.

I dont know what is going. I use MacPorts 1.8.0 on Snow Leopard.

Change History (6)

comment:1 Changed 11 years ago by ernest@…

Cc: ernest@… added

Cc Me!

comment:2 Changed 11 years ago by ernest@…

Cc: ernest@… removed

Cc Me!

comment:3 Changed 11 years ago by ernest@…

Cc: ernest@… added

Cc Me!

comment:4 Changed 11 years ago by mf2k (Frank Schima)

Cc: ernest@… removed
Port: putty removed
Priority: HighNormal
Summary: Status 1 when installing putty on SnowLeopardgtk1 configure error on SnowLeopard

wfm. Did you install X11 when you installed Snow Leopard?

comment:5 Changed 11 years ago by tobypeterson

Based on a report in IRC, i think it may be missing a dependency on xorg-libXt

comment:6 Changed 11 years ago by tobypeterson

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.